Metafunction
IntegralForValue
Returns an itegral type that provides sufficient space to store a value.
IntegralForValue<T>::Type
Include Headers
seqan/basic.h
Parameters

T | A class.

Remarks
The type is the smallest unsigned integral type that has a size of at least BytesPerValue bytes.
Note that the returned integral type cannot store T values, if T takes more than 8 bytes, since there exists no integral type that provides sufficient space to store types of this size.

bytes | integral type
1 | unsigned char
2 | unsigned short
3 | unsigned int
4 | unsigned int
5 and above | __int64

Return Values

Type | An integral type that can store T values.

See Also
BitsPerValue, ValueSize, BytesPerValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50